## music 0.1.0

=== DESCRIPTION ===
Package: music
Type: Package
Title: Learn and Experiment with Music Theory
Version: 0.1.0
Authors@R: person(given = "Efstathios D.", family = "Gennatas", role = c("aut", "cre"), email = "Efstathios.Gennatas@ucsf.edu")
Author: Efstathios D. Gennatas [aut, cre]
Maintainer: Efstathios D. Gennatas <Efstathios.Gennatas@ucsf.edu>
Description: An aid for learning and using music theory. You can build chords, scales, and chord progressions using 12-note equal temperament tuning (12-ET) or user-defined tuning. Includes functions to visualize notes on a piano using ASCII plots in the console and to plot waveforms using base graphics. It allows simple playback of notes and chords using the 'audio' package.
Imports: graphics, utils, audio, crayon
License: GPL (>= 3)
URL: https://github.com/egenn/music
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-02-20 07:07:35 UTC; egenn
Repository: CRAN
Date/Publication: 2019-02-20 10:00:03 UTC

## music 0.1.1

=== DESCRIPTION ===
Package: music
Type: Package
Title: Learn and Experiment with Music Theory
Version: 0.1.1
Authors@R: person(given = "Efstathios D.", family = "Gennatas", role = c("aut", "cre"), email = "gennatas@gmail.com")
Maintainer: Efstathios D. Gennatas <gennatas@gmail.com>
Description: An aid for learning and using music theory. You can build chords, scales, and chord progressions using 12-note equal temperament tuning (12-ET) or user-defined tuning. Includes functions to visualize notes on a piano using ASCII plots in the console and to plot waveforms using base graphics. It allows simple playback of notes and chords using the 'audio' package.
Imports: graphics, utils, audio, crayon
License: GPL (>= 3)
URL: https://github.com/egenn/music
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-04-20 09:58:48 UTC; egenn
Author: Efstathios D. Gennatas [aut, cre]
Repository: CRAN
Date/Publication: 2019-04-20 16:00:03 UTC

## music 0.1.2

=== DESCRIPTION ===
Package: music
Type: Package
Title: Learn and Experiment with Music Theory
Version: 0.1.2
Authors@R: person(given = "Efstathios D.", family = "Gennatas", role = c("aut", "cre"), email = "gennatas@gmail.com")
Maintainer: Efstathios D. Gennatas <gennatas@gmail.com>
Description: An aid for learning and using music theory. You can build chords, scales, and chord progressions using 12-note equal temperament tuning (12-ET) or user-defined tuning. Includes functions to visualize notes on a piano using ASCII plots in the console and to plot waveforms using base graphics. It allows simple playback of notes and chords using the 'audio' package.
Imports: graphics, utils, audio, crayon
License: GPL (>= 3)
URL: https://github.com/egenn/music
Encoding: UTF-8
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-07-10 17:35:25 UTC; egenn
Author: Efstathios D. Gennatas [aut, cre]
Repository: CRAN
Date/Publication: 2022-07-10 18:30:02 UTC

## music 1.0.7

=== debian/changelog ===
music (1.0.7-4) unstable; urgency=medium

  * Suggest music-doc in music-bin and libmusic-dev. (Closes: #849607)
  * Bug #759332 was closed by nmu 1.0.7-1.3. (Closes: #759332)

 -- Mikael Djurfeldt <mdj@debian.org>  Sat, 07 Oct 2017 13:07:20 +0200

music (1.0.7-3) unstable; urgency=high

  * Fix FTBFS on non-amd64 archs. (Closes: #877907)

 -- Mikael Djurfeldt <mdj@debian.org>  Sat, 07 Oct 2017 12:48:54 +0200

music (1.0.7-2) unstable; urgency=high

  * Fix FTBFS with GCC 7. (Closes: #853566)
  * Updated standards version to 3.9.8.

 -- Mikael Djurfeldt <mdj@debian.org>  Fri, 06 Oct 2017 16:31:52 +0200

music (1.0.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to source format 3.0 (quilt).
  * Fix FTBFS with GCC 6, thanks to Graham Inggs.  (Closes: #811907)
  * Rename libmusic1 to libmusic1v5 for the GCC 5 transition.
    (Closes: #791210)
  * Switch to minimal dh rules.  (Closes: #805951, #822005)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Dec 2016 11:30:20 +0100

music (1.0.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix ftbfs with GCC-4.7: add "#include <unistd.h>" to 
    utils/VisualiseNeurons.cpp (Closes: #667291).

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 10 May 2012 13:40:31 +0200

music (1.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping .la files (Closes: #622439).

 -- Luk Claes <luk@debian.org>  Mon, 06 Jun 2011 08:01:00 +0200

music (1.0.7-1) unstable; urgency=high

  * Upstream release 1.0.7 (containing urgent bugfix).
  * Updated standards version to 3.9.0.
  * Added missing ${misc:Depends} field for libmusic-dev.

 -- Mikael Djurfeldt <mdj@debian.org>  Wed, 28 Jul 2010 04:24:40 +0200

music (1.0.6-1) unstable; urgency=low

  * Upstream release 1.0.6.

 -- Mikael Djurfeldt <mdj@debian.org>  Sun, 25 Oct 2009 12:20:08 +0100

music (1.0.5-1) unstable; urgency=low

  * Upstream release 1.0.5 (Closes: #524032, #526662).

 -- Mikael Djurfeldt <mdj@debian.org>  Sat, 24 Oct 2009 10:41:37 +0200

music (1.0.4-1) unstable; urgency=low

  * Upstream release 1.0.4.
  * Temporarily added a build dependency on libibverbs-dev (until a
    dependency bug in libopenmpi-dev is fixed).

 -- Mikael Djurfeldt <mdj@debian.org>  Wed, 01 Apr 2009 11:14:58 +0200

music (1.0.3-1) unstable; urgency=low

  * Initial Release (Closes: #518538, #518541, #518542, #518543, #518544)

 -- Mikael Djurfeldt <mdj@debian.org>  Fri, 13 Mar 2009 11:30:35 +0100

=== debian/control ===
Source: music
Priority: extra
Maintainer: Mikael Djurfeldt <mdj@debian.org>
Build-Depends:
 debhelper (>= 10),
 autotools-dev,
 libopenmpi-dev,
 libibverbs-dev,
 freeglut3-dev,
 texlive-latex-base,
 texlive-latex-extra,
 asymptote,
 chrpath,
Standards-Version: 3.9.8
Section: libs
Homepage: http://software.incf.org/software/music/home

Package: libmusic-dev
Section: libdevel
Architecture: any
Depends: libmusic1v5 (= ${binary:Version}), ${misc:Depends}
Suggests: music-doc
Description: Multi-Simulation Coordinator for MPI -- Development files
 MUSIC allows spike events and continuous time series to be
 communicated between parallel applications within the same MPI job in
 a cluster computer.  Typical usage cases are connecting models
 developed for different simulators and connecting a parallel
 simulator to a post-processing tool.
 .
 This package contains the header files which are needed to compile
 and link programs against libmusic.

Package: libmusic1v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libmusic1
Replaces: libmusic1
Description: Multi-Simulation Coordinator for MPI -- Runtime library
 MUSIC allows spike events and continuous time series to be
 communicated between parallel applications within the same MPI job in
 a cluster computer.  Typical usage cases are connecting models
 developed for different simulators and connecting a parallel
 simulator to a post-processing tool.
 .
 This package contains the MUSIC library.

Package: music-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: music-doc
Description: Multi-Simulation Coordinator for MPI -- Utilities
 MUSIC allows spike events and continuous time series to be
 communicated between parallel applications within the same MPI job in
 a cluster computer.  Typical usage cases are connecting models
 developed for different simulators and connecting a parallel
 simulator to a post-processing tool.
 .
 This package contains the MUSIC launch utility.

Package: music-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Multi-Simulation Coordinator for MPI -- Manual
 MUSIC allows spike events and continuous time series to be
 communicated between parallel applications within the same MPI job in
 a cluster computer.  Typical usage cases are connecting models
 developed for different simulators and connecting a parallel
 simulator to a post-processing tool.
 .
 This package contains the MUSIC manual.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Remove rpaths in libraries and binaries
	( cd $(CURDIR)/debian/tmp/usr/lib/*; chrpath -d libmusic.so libmusic-c.so )
	( cd $(CURDIR)/debian/tmp/usr/bin; chrpath -d eventcounter eventgenerator eventlogger eventselect eventsink eventsource music viewevents )

# Build manual
#	( cd $(CURDIR)/doc; make music-manual.pdf )

## music 1.1.16

=== debian/changelog ===
music (1.1.16-1.1build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:33:57 +0000

music (1.1.16-1.1build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:19:27 +0100

music (1.1.16-1.1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:20 +0100

music (1.1.16-1.1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:42:22 +0000

music (1.1.16-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * debian/rules: Use DEB_HOST_MULTIARCH to look up multiarch
    directories. (Closes: #946541)
  * debian/control: Mark package music-doc as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Dec 2019 16:45:14 -0500

music (1.1.16-1) unstable; urgency=medium

  * Upstream release 1.1.16.
  * Added package python3-music (python bindings for MUSIC).

 -- Mikael Djurfeldt <mdj@debian.org>  Sun, 01 Dec 2019 22:31:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-deb --with-python=python3

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Remove rpaths in libraries and binaries
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH); chrpath -d libmusic.so libmusic-c.so )
	( cd $(CURDIR)/debian/tmp/usr/bin; chrpath -d contsink eventcounter eventgenerator eventlogger eventselect eventsink eventsource messagesource music viewevents )

# Build manual
#	( cd $(CURDIR)/doc; make music-manual.pdf )

## music 1.2.1

=== debian/changelog ===
music (1.2.1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Use the correct fix for the build failure
    around mpi. Thanks to Adrian Bunk. (Closes: #1093011)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2025 16:53:17 -0500

music (1.2.1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not enable openmpi support for 32-bit package building.
    Openmpi package in Debian is no longer providing support on
    32-bit architecture.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 12:56:50 -0500

music (1.2.1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/e5bf00b7dff460958a845254a9eb39ccece34ff6.patch:
    Add patch from upstream trunk to fix FTBFS. (Closes: #1084303)

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jan 2025 17:07:28 -0500

music (1.2.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on python3-setuptools (Closes: #1080943)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 12 Sep 2024 16:32:54 +0200

music (1.2.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063153

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 21:30:29 +0000

music (1.2.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really solve the cython3 migration problem.
    (Closes: #1004264, #1004029)
  * debian/control: Use cython3 (>= 3.0.6~).

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Dec 2023 13:43:39 -0500

music (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/copyright: Updated.
  * debian/control: Fix homepage field.
  * debian/compat: Dropped, useless.
  * debian/*.install: Install all built binaries. (Closes: #1054801)
  * debian/not-installed: Do not install __pycache__ and .la files.
  * debian/patches/0001-configure.ac-Patch-out-ros-stuff.patch:
    Do not include disabled ROS stuff in configure.ac to avoid failure
    in dh_auto_configure.
  * debian/control:
    + Bump debhelper compat to v13.
    + Use cython3-legacy for now. (Closes: #1056821)
      In the future, cython3 3.0.6+ can be used with latest version.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 19:28:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,30 @@
 Source: music
-Priority: extra
+Priority: optional
 Maintainer: Mikael Djurfeldt <mdj@debian.org>
-Build-Depends:
- debhelper (>= 10),
- autotools-dev,
- libopenmpi-dev,
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  libibverbs-dev,
  freeglut3-dev,
+ mpi-default-dev,
  texlive-latex-base,
  texlive-latex-extra,
  asymptote,
  chrpath,
-Standards-Version: 3.9.8
+ dh-python,
+ python3-dev,
+ python3-setuptools,
+ cython3 (>= 3.0.6~),
+ python3-mpi4py
+Standards-Version: 4.4.1
 Section: libs
-Homepage: http://software.incf.org/software/music/home
+Homepage: https://github.com/INCF/MUSIC
+Vcs-Git: https://salsa.debian.org/debian/music.git
+Vcs-Browser: https://salsa.deiban.org/debian/music
 
 Package: libmusic-dev
 Section: libdevel
 Architecture: any
-Depends: libmusic1v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libmusic1t64 (= ${binary:Version}), ${misc:Depends}
 Suggests: music-doc
 Description: Multi-Simulation Coordinator for MPI -- Development files
  MUSIC allows spike events and continuous time series to be
@@ -30,11 +36,13 @@
  This package contains the header files which are needed to compile
  and link programs against libmusic.
 
-Package: libmusic1v5
+Package: libmusic1t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libmusic1v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmusic1
-Replaces: libmusic1
+Breaks: libmusic1v5 (<< ${source:Version}), libmusic1
+Replaces: libmusic1v5, libmusic1
 Description: Multi-Simulation Coordinator for MPI -- Runtime library
  MUSIC allows spike events and continuous time series to be
  communicated between parallel applications within the same MPI job in
@@ -43,6 +51,18 @@
  simulator to a post-processing tool.
  .
  This package contains the MUSIC library.
+
+Package: python3-music
+Architecture: any
+Depends: python3-mpi4py, python3-six, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Multi-Simulation Coordinator for MPI -- Runtime library
+ MUSIC allows spike events and continuous time series to be
+ communicated between parallel applications within the same MPI job in
+ a cluster computer.  Typical usage cases are connecting models
+ developed for different simulators and connecting a parallel
+ simulator to a post-processing tool.
+ .
+ This package contains the MUSIC library python bindings.
 
 Package: music-bin
 Section: science
@@ -61,6 +81,7 @@
 Package: music-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Multi-Simulation Coordinator for MPI -- Manual
  MUSIC allows spike events and continuous time series to be

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel --with python3
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-deb --with-python=python3

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://api.github.com/repos/INCF/MUSIC/releases?per_page=100 \
 https://github.com/INCF/MUSIC/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
